using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Strata.Code.DataAccess.Models;

[Keyless]
[Table("SamplingLog", Schema = "fp")]
public partial class SamplingLog
{
    [Column("BudgetConfigID")]
    public int BudgetConfigId { get; set; }

    [Column("EntityGroupConfigID")]
    public int EntityGroupConfigId { get; set; }

    [Column("PlanSectionID")]
    public int PlanSectionId { get; set; }

    [StringLength(300)]
    public string PlanSectionDescription { get; set; } = null!;

    [Column("SourceDimensionalityJSON")]
    public string SourceDimensionalityJson { get; set; } = null!;

    [Column("DateStartedUTC", TypeName = "datetime")]
    public DateTime DateStartedUtc { get; set; }

    [Column("DateEndedUTC", TypeName = "datetime")]
    public DateTime DateEndedUtc { get; set; }

    public bool IsInitialPlanMethod { get; set; }

    [Column("IsDSSampling")]
    public bool IsDssampling { get; set; }

    public int NumberOfRecordsSampled { get; set; }

    [StringLength(10)]
    public string JazzVersion { get; set; } = null!;
}
